> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all environments of a space GET https://api.contentful.com/spaces/{space_id}/environments Reference: https://contentful.com/developers/docs/references/content-management-api/environments/get-all-environments-of-a-space ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [], "limit": 100, "skip": 0, "sys": { "type": "Array" }, "total": 0 } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // fetch all environments in Contentful. client .entries() .async() .fetchAll( new CMACallback>() { @Override protected void onSuccess(CMAArray entries) { // Successfully fetched all environments. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("I fetched all environments." + "\n\nResult: " + entries) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch all environments." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMAArray environments = client .environments() .fetchAll(); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val environments = client .environments() .fetchAll() ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironments()) .then((response) => { console.log(response.items) }) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const environments = await client.environment.getMany({ spaceId: newSpace.sys.id, query: { limit: 10, }, }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $space = $client->getSpaceProxy(''); $environments = $space->getEnvironments(); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') environment = client.environments('').all ``` ```python Python from contentful_management import Client client = Client('') environment = client.environments('').all() ``` ```.net .NET SDK currently doesn't implement this endpoint. ```